Elliott V8.2 Release Notes: Introduction and Requirements

ElliottÒ V8.2 Release Notes

Introduction

Elliott Version 8.2 improves upon Version 8.1.  It brings major improvements in user experience and database security to Elliott.  At the same time, it remains database and feature compatible with Elliott V7.5. In fact, an organization can run both V7.5 and V8.2 at the same time. Individual users can switch back and forth between V7.5 and V8.2 for different tasks, or even run both versions on their desktops at the same time. Because of this database and feature compatibility, upgrading to Elliott V8.2 is a low-risk opportunity.

 

One of the main enhancements to Elliott 8.2 is the native support of printing to PDF files. In the past, you could print an Elliott document to a PDF file by installing a third-party PDF printer driver.  With Elliott V8.2, we now can natively print to PDF files without the need for third-party software. This saves you from having to purchase a third-party printer driver.  It also saves you the time required to install a third-party printer driver on each one of your workstations. An additional enhancement to Elliott V8.2 is a new feature called “PDF PostOffice.” It allows users to print business documents such as invoices, order acknowledgements, order quotes, statements, and purchase orders to PDF files, and automates sending the PDF files to the proper recipients through emails or faxes.  It saves you from using post office mailing services and results in saving the cost of postage, materials and labor. It may also improve your cash flow due to the immediate delivery of invoices and statements.

 

Like Elliott V8.1, Elliott V8.2 no longer supports Windows XP, Windows Server 2003, Windows Vista and Windows Server 2008 32-bit and R1. At a minimum, you must have either the Windows 7 or Windows 2008 R2 operating system installed to run Elliott V8.2. For years, we have been trying to support Elliott users with older Windows operating systems.  However, since Microsoft dropped support for Windows XP and 2003, it has proven difficult for us to continue the support of these older operating systems.

 

Refer to the section entitled “What’s New Since Elliott V8.1” for more details about the changes in Elliott V8.2. If you are upgrading from an earlier Elliott version, you may find the “What’s New Since Elliott V8.0, V7.5, V7.4, V7.3, V7.2, V7.1 and V7.0” sections informative.

Requirements

Elliott V8.2 requires the PervasiveÒ PSQL 11 or PSQL 12 database engine to run.  You may obtain a copy of PSQL 11 or 12 from your Elliott reseller if you do not already own a copy.  For the best performance, we recommend the 64-bit version of PSQL 12.

Client Operation Systems Support

Elliott V8.2 will run on the following client operating systems:

            Windows 7 (all versions)

            Windows 8 (all versions except Windows RT)

            Windows 10

Server Operating Systems Support

Elliott V8.2 will run on the following server operating systems:

            Windows 2008 Server R2 (64-bit only)

            Windows 2012 Server

            Windows 2016 Server

Running Elliott V8.2 directly on most of the modern Windows servers requires adding Elliott EXE files to the DEP (Data Execution Prevention) list. Starting with Windows 2016, the DEP list no longer supports defining EXE on a mapped drive, which is needed for Elliott.  Therefore, you will need to choose the option to “turn on DEP for essential Windows programs and services only.”  This may not be an issue for the PSQL server itself.  But it may present potential issues for a remote desktop server.

Microsoft®.NET Framework V4.5

This version of Elliott requires Microsoft.NET Framework V4.5.  If it is not already installed on your computer, you may download it from www.microsoft.com . All new PCs come preinstalled with Microsoft.NET Framework V4.5 or V4.6.


Feedback and Knowledge Base